## Work may be watching, but it might not be as bad as you think.

![A friendly eye of Sauron watching someone work](../website/assets/images/articles/work-may-be-watching-but-it-might-not-be-as-bad-as-you-think-cover-800x502@2x.png)
*Transparency and collaboration are becoming the norm for company device monitoring.*

It’s safe to say that many employers have at least some visibility into your activity on work devices. But the extent of this visibility varies widely, and largely depends on your line of work, and who you work for; their company values, and the privacy and security policies that they have in place.

To ensure a healthy workforce, transparency between employers and staff is paramount, and company policies around device monitoring are best created together as a team. For the healthiest of teams, device monitoring is an asset. It facilitates IT departments to keep employee devices healthy, up-to-date, and free from vulnerabilities — with as little disruption to staff as possible. Investigation of security threats may require deeper visibility into the content and activities of your work device, but it’s important to remember that employers and IT departments are almost never manually tracking your every move.

It is still important to be vigilant with the personal information that you share on your work device, and much of that comes down to common sense usage. With remote teams on the rise, and the ongoing pandemic continuing to force staff to work from home, it’s becoming increasingly difficult to separate the blurring lines between our personal and professional lives. So here are some best practices that you can follow — the most important of which being to always look at, and understand your company’s security policy.

### Only store personal files/information on your personal device

Your work device belongs to your company, and you may need to give it back at any time. This could result in you losing the data stored on it.

### Only use company software and online services, such as Google Docs or Slack, for work purposes

Avoid using these types of services for anything non-work related. If you leave your organization, your company may continue to have access to your personal documents and messages.

### Only visit websites and social media that you would be comfortable looking at in the lunchroom

Companies have automated systems that look out for problematic websites. Always remember SFW (safe for work).

### Be more careful with your work computer when you’re in public

You’ve got valuable company information on it, so it’s best to keep it safe.

### Be careful about the files and applications that you download and open

Your company relies on your common sense to help prevent viruses. Always be mindful about what you are downloading and opening on your work computer.

### Check your company’s policy before plugging in USB devices and accessories

Some organizations don’t allow the use of USB devices in the workplace.

### Only use company approved remote access software

Using non-approved remote access software could put the security of your company’s data at risk.

### Use the company VPN, if possible when working from public wi-fi

A VPN (virtual private network) helps to protect your company’s data when accessed from public wi-fi.

## Takeaways

While it is common for companies to collect activity data, it’s rarely looked at manually, and even less so is it collected nefariously. So it’s probably OK to check your social media likes from time to time; your employer is not out to get you. Just remember to use proper judgment, be professional, and avoid sharing your personal information on your work computer.

<meta name="category" value="product">
<meta name="authorFullName" value="Mike Thomas">
<meta name="authorGitHubUsername" value="mike-j-thomas">
<meta name="publishedOn" value="2021-10-22">
<meta name="articleTitle" value="Work may be watching, but it might not be as bad as you think.">
<meta name="articleImageUrl" value="../website/assets/images/articles/work-may-be-watching-but-it-might-not-be-as-bad-as-you-think-cover-800x502@2x.png">