# Welcome to Fleet

## Introduction

The Fleet handbook is the central guide for how we run the company. As part of our value of [being transparent](./company.md#openness), the handbook is open to the world. We welcome feedback, and [contributions](./handbook.md#contributing-to-the-handbook), so please click to edit and suggest improvements throughout these pages.

### 🔭 Company

[About Fleet](./company.md#about-fleet)

[Culture](./company.md#culture)

[Values](./company.md#values)

[Why this way?](./company.md#why-this-way)

[Development groups](./company.md#development-groups)

[History](./company.md#history)

[Email relays](./company.md#email-relays)

[Tools we use](./company.md#tools-we-use)

[GitHub labels](./company.md#git-hub-labels)

[Rituals](./company.md#rituals)

[Slack channels](./company.md#slack-channels)

### ⛑ Security

[Account recovery process](./security.md#account-recovery-process)

[How we protect end-user devices](./security.md#how-we-protect-end-user-devices)

[Hardware security keys](./security.md#hardware-security-keys)

[GitHub Security](./security.md#git-hub-security)

[Google Workspace security](./security.md#google-workspace-security)

[Vulnerability management in Fleet](./security.md#vulnerability-management)

[Rituals](./security.md#rituals)

[Slack channels](./security.md#slack-channels)

### 📜 Security policies

[Information security policy and acceptable use policy](./security-policies.md#information-security-policy-and-acceptable-use-policy)

[Access control policy](./security-policies.md#access-control-policy)

[Asset management policy](./security-policies.md#asset-management-policy)

[Business continuity and disaster recovery policy](./security-policies.md#business-continuity-and-disaster-recovery-policy)

[Data management policy](./security-policies.md#data-management-policy)

[Encryption policy](./security-policies.md#encryption-policy)

[Human resources security policy](./security-policies.md#human-resources-security-policy)

[Incident response policy](./security-policies.md#incident-response-policy)

[Operations security and change management policy](./security-policies.md#operations-security-and-change-management-policy)

[Risk management policy](./security-policies.md#risk-management-policy)

[Secure software development and product security policy](./security-policies.md#secure-software-development-and-product-security-policy)

[Security policy management policy](./security-policies.md#security-policy-management-policy)

[Third-party management policy](./security-policies.md#third-party-management-policy)

### 💓 Brand

[Communicating as Fleet](./brand.md#communicating-as-fleet)

[Writing at Fleet](./brand.md#writing-at-fleet)

[Punctuating and capitalizing bullet points](./brand.md#punctuating-and-capitalizing-bullet-points)

[Commas](./brand.md#commas)

[Dashes and hyphens](./brand.md#dashes-and-hyphens)

[For editors](./brand.md#for-editors)

[Voice and tone guidelines](./brand.md#voice-and-grammar-guidelines)

[Brand resources](./brand.md#brand-resources)

[Email blasts](./brand.md#email-blasts)

[Fleet website](./brand.md#fleet-website)

[Rituals](./brand.md#rituals)

[Slack channels](./brand.md#slack-channels)

### 🪂 Community

[Communities](./community.md#communities)

[Fleet docs](./community.md#fleet-docs)

[Pull requests](./community.md#pull-requests)

[Updating docs and FAQ](./community.md#updating-docs-and-faq)

[Fleet swag](./community.md#fleet-swag)

[Rituals](./community.md#rituals)

[Slack channels](./community.md#slack-channels)

### 🚀 Engineering

[Meetings](./engineering.md#meetings)

[Release process](./engineering.md#release-process)

[On-call rotation](./community.md#On-call-rotation) 

[Project boards](./community.md#project-boards) 

[Rituals](./engineering.md#rituals)

[Slack channels](./engineering.md#slack-channels)

### ⚗️ Product

[Job to be done](./product.md#job-to-be-done)

[Objectives and key results](./product.md#Objectives-and-key-results)

[Q1 2022 product objectives](./product.md#q-1-2022-product-objectives)

[Product design process](./product.md#product-design-process)

[Planning](./product.md#planning)

[Product quality](./product.md#product-quality)

[UI design](./product.md#ui-design)

[Release](./product.md#release)

[Beta features](./product.md#beta-features)

[Feature flags](./product.md#feature-flags)

[Competition](./product.md#competition)

[Rituals](./product.md#rituals)

[Slack channels](./product.md#slack-channels)

### 🪴 Growth

[Positioning](./growth.md#positioning)

[Marketing Qualified Opportunities (MQOs)](./growth.md#marketing-qualified-opportunities-mq-os)

[Lead enrichment](./growth.md#lead-enrichment)

[Outreach one-pager](./growth.md#outreach-one-pager)

[Intro deck](./growth.md#intro-deck)

[Posting on social media as Fleet](./growth.md#posting-on-social-media-as-fleet)

[Promoting blog posts on social media](./growth.md#promoting-blog-posts-on-social-media)

[Press releases](./growth.md#press-releases)

[Sponsoring events](./growth.md#sponsoring-events)

[Rituals](./growth.md#rituals)

[Slack channels](./growth.md#slack-channels)

### 🎈 Customers

[Customer succcess](./customers.md#customer-success)

[Support process](./customers.md#support-process)

[Runbook](./customers.md#runbook)

[Incident postmortems](./customers.md#incident-postmortems)

[Customer codenames](./customers.md#customer-codenames)

[Generating a trial license key](./customers.md#generating-a-trial-license-key)

[Documentation updates](./customers.md#documentation-updates)

[Rituals](./customers.md#rituals)

[Slack channels](./customers.md#slack-channels)

### 🤝 Sales

[Rituals](./sales.md#rituals)

[Slack channels](./sales.md#slack-channels)

### 🧑‍🚀 People

[Directly responsible individuals](./people.md#directly-resonsible-individuals)

[Spending company money](./people.md#spending-company-money)

[Paid time off](./people.md#paid-time-off)

[Meetings](./people.md#meetings)

[Slack](./people.md#slack)

[Performance feedback](./people.md#performance-feedback)

[Growing the team](./people.md#growing-the-team)

[Team member onboarding](./people.md#team-member-onboarding)

[Onboarding a new advisor](./people.md#onboarding-a-new-advisor)

[Onboarding a new consultant](./people.md#onboarding-a-new-consultant)

[Updating a consultant's fee](./people.md#pdating-a-consultant-s-fee)

[Zapier and DocuSign](./people.md#zapier-and-docu-sign)

[Adding Salesforce licenses](./people.md#adding-salesforce-licenses)

[PeopleOps](./people.md#people-ops)

[Rituals](./people.md#rituals)

[Slack channels](./people.md#slack-channels)

### Handbook

<!-- TODO: Merge this section into the main "Brand" page -->

[About the handbook](./handbook.md#about-the-handbook)

[Handbook style guide](./handbook.md#handbook-style-guide)

[Contributing to the handbook](./handbook.md#contributing-to-the-handbook)


<meta name="maintainedBy" value="mikermcneil">


